language: python
python:
- '3.6'
install:
- source ./support/texlive_install.sh
- pip install PyGithub
addons:
  apt:
    packages:
    - maven
cache:
- pip
- directories:
  - "/tmp/texlive"
  - "$HOME/.texlive"
script:
- source ./support/compile.sh
after_success:
- export GIT_TAG=build-$TRAVIS_BRANCH-$(date -u "+%Y-%m-%d")-$TRAVIS_BUILD_NUMBER
- git tag $GIT_TAG -a -m "Generated tag from TravisCI build $TRAVIS_BUILD_NUMBER"
branches:
  except:
  - "/^build-[0-9a-z\\-]*/"
deploy:
  provider: releases
  skip_cleanup: true
  api_key:
    secure: V76lRoSbyAH/rVg+gzXeWwAoJJbpGyr8P2uEeVjMoJr+2JvbNT1R3ntnut8vvCBPlVNbWIFkrAiDasTi48xaDKhNhaPhSnRhlSDBoPo2yWXrVESoZmZXhq07kuVRcFBzyNFzDBCbAh7KPJoBQEcIB+ewY8eDL8eAYu0FhQ93zXjKk+9u7Z6QyY/FaTuswVtIwS00wz0pJu/f//k1MzNzb428s5zhtnQzk+g4NiAqaxAB8pveXXm+dsift6yV7gGC/IImqyyZI2pBkkqwX4FVVGhVXqvQB8owhipRPrZnEd6KHCYgmVjO+u08nBpEyDWVk2/eo/iBQ/SA7bXhIefzW7uP7WX1tYkn4L6iEnZXDmAVSfgQt9xuYeZVmJVNNn16BfIondtXA3i+b0c73DJN2qEsLSHGxKK8fdY+Rx6LDFWn7vLtx3jxUW/aQxdtoNoR12EmHNs8ADUau3GB2FnMvMgdEmI7j6VNPB1nJKY0w1nrNOSHDGnYOgqRAt4Khj8RGHySVR+q2nJdTx4CwyQN2BX5LNLzyct/+/c3v5jUrwXY2LxDZGk3PtgbdRky/gM4RYmGoiJ5rXoIEkUFL0Z22EJq5+X8Hsi7tL7uwA2gIEBS+19xTW3zsj8m27fuSyVvBCGyPSDcuORpv2ryZQr8GyESKlTXOIdWJ26A+tUMc8g=
  file:
  - main.pdf
  - gipp.bib
  - mendeley.bib
  - publist.html
  on:
    repo: ag-gipp/bib
env:
  global:
  - secure: IT1vMl49aqp6eNlJ8XM+Gcio9gg5IwR+278UNuznScaQZ9DyFTmDp75KBNS2PQXMcwcUHFKRTS24pMYSrquN8NakQx7qQtTSTO09dRE0QGSVgeKnGC4kuQTN2Gqgj06Wg+TVJI2f2k7DPPHXZ8FdbcnMUn7vO1pcjGI1Z54hZwOpzJbWV8Qkbz9WzCrg+RZfoDJnw5NTVU3vfvMziVP+NkH1j0hDKl9yPl8FUdcuknnTqhYYElO0AcEB0CtWxxA3S06uCbDTjqd6uY4yGH4SjurMjxGdjQvphp+rd3cnlBLXZojzPC4GqnsnZ7r68NYfeV0UUAtA/qa7JqBPG7XpD6t+2Al4eLvY/kbJzi4BQCZwBKTLa9654eFn1htkQQLwCz3rQiUMA547z7Ob4Y632fm9gG63D5El15sA1LYuuhC1E7gxlfFOFDkPyBWIsy6PsreK+ss6mgnlwBeDYi0TsVA3FrxVSxqIq3BV85dxGW6RbKgBzaReKDXpfm0gy7mCISQiJoT/sBOapWYvutUMXWph1VxRK8GIAFyCdwkVOEGaSOe3uiYoHzKEi+fT3Q+BEDOMMcnBxv1a+VQjrvM7J/9WNMTpUKmPnpX8bwD8/0he6C9kiKNrCpZXXnTDjJmDb5tOuBjuiqB9M6AciD/YiVmDRecJ/PTRDDqldbJOsy8=
before_install:
- openssl aes-256-cbc -K $encrypted_125c18bb9738_key -iv $encrypted_125c18bb9738_iv
  -in bibbot.asc.enc -out bibbot.asc -d
